/*
 * Copyright (c) 2010-2012 Sonatype, Inc. All rights reserved.
 *
 * This program is licensed to you under the Apache License Version 2.0,
 * and you may not use this file except in compliance with the Apache License Version 2.0.
 * You may obtain a copy of the Apache License Version 2.0 at http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the Apache License Version 2.0 is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Apache License Version 2.0 for the specific language governing permissions and limitations there under.
 */
package org.sonatype.nexus.plugin.gwt.client;

import com.google.gwt.http.client.Response;

public class RemoteFailureException
    extends Throwable
{
    private static final long serialVersionUID = 6749627274282709942L;
    
    private Response response;

    public RemoteFailureException( Response response )
    {
        this.response = response;
    }

    public Response getResponse()
    {
        return response;
    }

    public void setResponse( Response response )
    {
        this.response = response;
    }

    @Override
    public String getMessage()
    {
        return "Status: "+ response.getStatusText();
    }
    
    

}
