/*
 * Copyright (c) 2010-2012 Sonatype, Inc. All rights reserved.
 *
 * This program is licensed to you under the Apache License Version 2.0,
 * and you may not use this file except in compliance with the Apache License Version 2.0.
 * You may obtain a copy of the Apache License Version 2.0 at http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the Apache License Version 2.0 is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Apache License Version 2.0 for the specific language governing permissions and limitations there under.
 */
package org.sonatype.nexus.plugin.move;

import java.util.Map;

import javax.enterprise.inject.Typed;
import javax.inject.Named;
import javax.inject.Singleton;

import org.sonatype.nexus.plugins.rest.AbstractNexusIndexHtmlCustomizer;
import org.sonatype.nexus.plugins.rest.NexusIndexHtmlCustomizer;

@Singleton
@Named
@Typed( value = NexusIndexHtmlCustomizer.class )
public class BaseGXTHtmlCustomizer
    extends AbstractNexusIndexHtmlCustomizer
{
    

    @Override
    public String getPreHeadContribution( Map<String, Object> context )
    {
        // GXT stuff
        String version =
            getVersionFromJarFile( "/META-INF/maven/org.sonatype.nexus.plugin/nexus-gwt-base-plugin/pom.properties" );
   
      
        return "<link href=\"static/gxt-resources/css/ext-extensions.css"
        + "\" type=\"text/css\" rel=\"stylesheet\"></link>"
        + "\n      "
        + "<link href=\"static/gxt-resources/css/gxt-gray.css"
        + ( version == null ? "" : "?" + version )
        + "\" type=\"text/css\" rel=\"stylesheet\"></link>";

    }

}
